BizKitHub
DocsAPI ReferenceExpense/bff/expense/delete
postExpenseAdmin BFF

/bff/expense/delete

Soft-delete expense

ExpensepostBffExpenseDelete

Parameters

JSON body

Request body

application/json
externalIdstringRequired
Length: 2424

Response schema

1 status code documented

200Success
successbooleanRequired
Default: true
deletedDatestringRequired
alreadyDeletedbooleanRequired

Response example

application/json
{
  "success": true,
  "deletedDate": "example_deletedDate",
  "alreadyDeleted": false
}

Request example

POST /bff/expense/delete

post
curl -X POST "https://api.bizkithub.com/bff/expense/delete" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "externalId": "example_externalId"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key